import { httpPost } from '../../utils/request'

export function cancelEmConfirmStatus (params) {
  return httpPost('WO/PDTOrder/CancelEmConfirmStatus', params)
}
export function updateEMConfirmStatus (params) {
  return httpPost('WO/PDTOrder/UpdateEMConfirmStatus', params)
}
export function cancelPdtOrder (params) {
  return httpPost('WO/PDTOrder/CancelPdtOrder', params)
}
export function getPdtOrderById (params) {
  return httpPost('WO/PDTOrder/Get', params)
}

export function getPdtOrder (params) {
  return httpPost('WO/PDTOrder/GetFullPdtOrder', params)
}

export function getPdtOrderProcess (params) {
  return httpPost('WO/PDTOrder/GetPdtOrderProcess', params)
}
export function getBtnList (params) {
  return httpPost('PF/Btn/OrderEntities', params)
}

export function getImgFiles (params) {
  return httpPost('PF/ImgFile/Entities', params)
}

export function savePdtOrderBom (params) {
  return httpPost('WO/PDTOrderBom/SavePdtOrderBom', params)
}
export function completePdtOrder (params) {
  return httpPost('WO/PDTOrder/completePdtOrder', params)
}
export function confirmFeedingComplete (params) {
  return httpPost('WO/ExtPDTOrder/ConfirmFeedingComplete', params)
}
export function reworkConfirm (params) {
  return httpPost('WO/PDTOrder/ReworkConfirm', params)
}
